#ifndef __BUTTON_H__
#define __BUTTON_H__

#ifdef __cplusplus
 extern "C" {
#endif

#include "stm32f4xx.h"

#define PORT_BUTTON  (GPIOB)
#define PIN_BUTTON   (GPIO_Pin_14)

extern uint32_t system_tick_cnt;

void button_init(void);
int button_is_pressed(void);
void button_loop(void);

#ifdef __cplusplus
}
#endif

#endif /* __BUTTON_H__ */
